<?php
    if (!defined("ROOT_PATH")) {
        header("HTTP/1.1 403 Forbidden");
        exit;
    }

    class pjModifyPriceLocationModel extends pjAppModel
    {
        /**
         * The name of table's primary key. If PK is over 2 or more columns set this to boolean null
         *
         * @var string
         */
        public $primaryKey = 'id';

        /**
         * The name of table associate with current model
         *
         * @var string
         */
        public $table = 'modify_prices_locations';

        /**
         * Table schema
         *
         * @var array
         * @access protected
         */
        protected $schema = array(
            array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
            array('name' => 'modify_price_id', 'type' => 'int', 'default' => ':NULL'),
            array('name' => 'location_id', 'type' => 'int', 'default' => ':NULL')
        );

        protected $validate = array();

        public $i18n = array();

        public static function factory($attr = array())
        {
            return new self($attr);
        }
    }